﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.ComponentModel.DataAnnotations;

namespace Domain.Entities
{
    // ADO.NET Entity Framework POCO class, maps to a table named Films
    public class Film
    {
        // A property named ID or classnameID is assumed to be the PK.
        public int FilmID { get; set; }

        // All other properties map to columns of the same name, by default.
        public string Title { get; set; }

        public string Blurb { get; set; }

        public string Genre { get; set; }

        public decimal RentalPrice { get; set; }
    }
}
