﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Domain.Entities;

namespace Domain.Repositories
{
    public class DummyFilmsRepository : IFilmsRepository
    {
        // Dummy (hard-coded) list of films.
        private static IList<Film> dummyFilms = new List<Film> {
            new Film { Title="Airplane", Blurb="Classic spoof airline disaster movie", Genre="Comedy", RentalPrice=1.50m },
            new Film { Title="Jaws", Blurb="Shark-fest film that spooked a generation", Genre="Thriller", RentalPrice=1.99m },
            new Film { Title="Love Actually", Blurb="Feel-good family entertainment", Genre="RomCom", RentalPrice=2.99m },
        };

        // Returns dummy (hard-coded) list of films.
        public IList<Film> Films
        {
            get { return dummyFilms; }
        }
    }
}
